SAXONICA

Saxon Documentation
Full Contents
About Saxon
Changes in this Release
Conditions of Use
Using XSLT 2.0
Using XQuery
Handling Source Documents
XML Schema Processing
XPath API for Java
Saxon on .NET
Extensibility
Saxon Extensions
Sample Saxon Applications
The Saxon SQL Extension
XSLT Elements
XPath 2.0 Expression Syntax
Function Library
Standards Conformance

# xslt:key

Function signature

$key-name | xs:string
$key-value | xdt:anyAtomicType *
Result | node() *

Returns the nodes identified by a named key declaration in the stylesheet.

XSLT 2.0 Specification

Function signature

$key-name | xs:string
$key-value | xdt:anyAtomicType *
$root-node | node()
Result | node() *

Returns the nodes identified by a named key declaration in the stylesheet. The nodes selected are those that have a matching key-value, and that are within the subtree rooted at $root-node (which will generally be either a document node or an element)

XSLT 2.0 Specification

Next